Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io
Class RecoverableIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.archive.io.RecoverableIOException

All Implemented Interfaces:
  java.io.Serializable

    public class RecoverableIOException

extends java.io.IOException

A decorator on IOException for IOEs that are likely not fatal or at least merit retry.

Version:
  $Date: 2006-08-23 18:39:37 +0000 (Wed, 23 Aug 2006) $, $Revision: 4530 $
Author:
  stack
See Also:
  Serialized Form

Constructor Summary
`RecoverableIOException(java.io.IOException ioe)`
`RecoverableIOException(java.lang.String message)`

Method Summary
`java.lang.Throwable` | `getCause()`
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`
`java.lang.StackTraceElement[]` | `getStackTrace()`
`java.lang.Throwable` | `initCause(java.lang.Throwable cause)`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream s)`
`void` | `printStackTrace(java.io.PrintWriter s)`
`void` | `setStackTrace(java.lang.StackTraceElement[] stackTrace)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecoverableIOException

    public RecoverableIOException(java.lang.String message)

### RecoverableIOException

    public RecoverableIOException(java.io.IOException ioe)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getStackTrace

    public java.lang.StackTraceElement[] getStackTrace()

  Overrides:
    `getStackTrace` in class `java.lang.Throwable`

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

  Overrides:
    `initCause` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### setStackTrace

    public void setStackTrace(java.lang.StackTraceElement[] stackTrace)

  Overrides:
    `setStackTrace` in class `java.lang.Throwable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.